<?php
/**
 * Daisycon api invalid response exception
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Model_Api_InvalidResponseException
    extends Mage_Core_Exception
{
    /**
     * The http response that caused the exception
     *
     * @var Daisycon_Affiliatemarketing_Model_Api_Response
     */
    protected $_response;

    /**
     * Daisycon_Affiliatemarketing_Model_Api_InvalidResponseException constructor.
     *
     * @param Daisycon_Affiliatemarketing_Model_Api_Response $response
     * @param Throwable|null $previous
     */
    public function __construct(Daisycon_Affiliatemarketing_Model_Api_Response $response, Throwable $previous = null)
    {
        $this->_response = $response;

        parent::__construct('Bad request', $response->getStatusCode(), $previous);
    }

    /**
     * Return the response
     *
     * @return Daisycon_Affiliatemarketing_Model_Api_Response
     */
    public function getResponse()
    {
        return $this->_response;
    }
}
