<?php
/**
 * Daisycon api http response
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Model_Api_Response extends Daisycon_Affiliatemarketing_Model_Api_Message
{
    /**
     * Http status code
     *
     * @var int|null
     */
    protected $_statusCode;

    /**
     * Daisycon_Affiliatemarketing_Model_Api_Response constructor.
     *
     * @param string $body
     * @param array $headers
     * @param int $statusCode
     */
    public function __construct($body, array $headers, $statusCode)
    {
        $this->setBody($body)
            ->setHeaders($headers)
            ->setStatusCode($statusCode);
    }

    /**
     * Set the status code
     *
     * @param int $statusCode
     * @return $this
     */
    public function setStatusCode($statusCode)
    {
        $this->_statusCode = $statusCode;
        return $this;
    }

    /**
     * Get the status code
     *
     * @return string|null
     */
    public function getStatusCode()
    {
        return $this->_statusCode;
    }

}
