<?php
/**
 * Daisycon observer
 *
 * This observer will save the lcc cookie.
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2019 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Model_Observer extends Varien_Event_Observer
{
    /**
     * How many days will we keep the network cookie active?
     *
     * @var int
     */
    protected $cookieActiveDays = 100;

    /**
     * Save the lcc cookie.
     *
     * @param Varien_Event_Observer $observer
     * @return $this
     */
    public function save(Varien_Event_Observer $observer)
    {
        $config = Mage::getSingleton('affiliatemarketing/config');
        if (!$config->isLccActive()) {
            return $this;
        }

        $fromNetworkParameterName = $config->getLccNetworkParameterName();
        $controllerAction = $observer->getEvent()->getControllerAction();

        $fromNetworkValue = $controllerAction->getRequest()->getParam($fromNetworkParameterName);
        if ($fromNetworkValue) {
            Mage::getSingleton('core/cookie')
                ->set('network', $fromNetworkValue ,3600 * 24 * $this->cookieActiveDays ,'/');
        }

        return $this;
    }
}
