<?php
/**
 * Compensation code source field selection
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Model_System_Config_Source_Compensation_Field
    extends Daisycon_Affiliatemarketing_Model_System_Config_Source_Abstract
{
    const CATEGORY_ID       = 'category_id';
    const PRODUCT_ATTRIBUTE = 'product_attribute';

    /**
     * Convert all options to an array
     *
     * @return array
     */
    public function toOptionArray()
    {
        if (null === $this->_options) {
            $this->_options = array(
                array(
                    'value' => 'product_attribute',
                    'label' => Mage::helper('affiliatemarketing')->__('Product attribute'),
                ),
                array(
                    'value' => 'category_id',
                    'label' => Mage::helper('affiliatemarketing')->__('Category id'),
                ),
            );
            array_unshift(
                $this->_options,
                array(
                    'value' => '',
                    'label' => Mage::helper('affiliatemarketing')->__('-- Select --'),
                )
            );
        }

        return $this->_options;
    }

}
