<?php
/**
 * Product attribute field selection
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Model_System_Config_Source_Product_Attribute
    extends Daisycon_Affiliatemarketing_Model_System_Config_Source_Abstract
{
    /**
     * Get all options as array
     *
     * @return array
     */
    public function toOptionArray()
    {
        if (null === $this->_options) {
            $this->_options = array();
            $attributeCollection = Mage::getResourceModel('catalog/product_attribute_collection')
                ->addFieldToFilter('frontend_input', array('nin' => array('media_image', 'hidden', 'gallery')))
                ->addVisibleFilter();
            $attributeCollection->getSelect()->order(array('frontend_label ASC', 'attribute_code ASC'));
            $attributeCollection->load();
            foreach ($attributeCollection as $attr) {
                $this->_options[] = array(
                    'value' => $attr->getAttributeCode(),
                    'label' => '' !== (string)$attr->getFrontendLabel() ?
                        $attr->getFrontendLabel() : $attr->getAttributeCode()
                );
            }

            array_unshift(
                $this->_options,
                array(
                    'value' => '',
                    'label' => Mage::helper('affiliatemarketing')->__('-- Select --')
                )
            );
        }

        return $this->_options;
    }
}
