<?php
/**
 * Tracking extra field selection
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Model_System_Config_Source_Tracking_Extra
    extends Daisycon_Affiliatemarketing_Model_System_Config_Source_Abstract
{

    const PAYMENT_METHOD    = 'payment_method';
    const CATEGORY_ID       = 'category_id';
    const PRODUCT_ATTRIBUTE = 'product_attribute';
    const SHIPPING_METHOD   = 'shipping_method';

    /**
     * Return all options
     *
     * @return array|null
     */
    public function toOptionArray() 
    {
        if (null === $this->_options) {
            $this->_options = array(
                array(
                    'value' => self::PAYMENT_METHOD,
                    'label' => Mage::helper('affiliatemarketing')->__('Payment method')
                ),
                array(
                    'value' => self::SHIPPING_METHOD,
                    'label' => Mage::helper('affiliatemarketing')->__('Shipping method')
                ),
                array(
                    'value' => self::CATEGORY_ID,
                    'label' => Mage::helper('affiliatemarketing')->__('Category id')
                ),
                array(
                    'value' => self::PRODUCT_ATTRIBUTE,
                    'label' => Mage::helper('affiliatemarketing')->__('Product attribute')
                ),
            );
            array_unshift(
                $this->_options,
                array(
                    'value' => '',
                    'label' => Mage::helper('affiliatemarketing')->__('-- Select --')
                )
            );
        }

        return $this->_options;
    }

}
